package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "transfer_order_view")
public class TransferOrderView {

//
//    private  int  id;

    /**
     * transfer_treatment表主键id
     */
    @Id
    @Column(name = "transfer_id", nullable = false)
    private Integer transferId;


    /**
     * user表主键id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 用户的真实姓名
     */
    @Column(name = "patient_real_name", nullable = false)
    private String patientRealName;

    /**
     * 用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String patientMobile;

    /**
     * 医生id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;

    /**
     * 医生真实姓名
     */
    @Column(name = "from_doctor_name", nullable = false)
    private String fromDoctorName;

    /**
     * 关联医生 id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;

    /**
     * 关联医生真实姓名
     */
    @Column(name = "to_doctor_name", nullable = false)
    private String toDoctorName;

    /**
     * 询诊标题
     */
    @Column(name = "title")
    private String title;

    /**
     * 询诊金额
     */
    @Column(name = "amount", nullable = false)
    private BigDecimal amount;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    /**
     * 订单 id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 订单号
     */
    @Column(name = "order_no", nullable = false)
    private String orderNo;

    /**
     * 订单状态
     */
    @Column(name = "order_status", nullable = false)
    private Integer orderStatus;

    /**
     * 支付状态（0-支付处理中，1-支付成功，2-支付失败）
     */
    @Column(name = "payment_status", nullable = false)
    private Integer paymentStatus;

    /**
     * 订单备注
     */
    @Column(name = "order_remark")
    private String orderRemark;

    /**
     * patient_id(patient表主键id)
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;


    @Column(name = "order_type", nullable = false)
    private Integer orderType;

    @Column(name = "transfer_status", nullable = false)
    private Integer transferStatus;

    /**
     * patient表用户sex
     */
    @Column(name = "patient_sex")
    private Integer patientSex;


    /**
     * 订单金额
     */
    @Column(name = "order_amount")
    private BigDecimal orderAmount;


    /**
     * 转入日期
     */
    @Column(name = "transfer_date")
    private Date transferDate;

    /**
     * 转入时段（1-全天，2-上午，3-下午）
     */
    @Column(name = "transfer_period")
    private Integer transferPeriod;


    public TransferOrderView() {
    }

    public TransferOrderView(Integer transferId, Integer userId, String patientRealName, String patientMobile, Integer fromDoctorId, String fromDoctorName, Integer toDoctorId, String toDoctorName, String title, BigDecimal amount, String remark, String sessionId, Date createTime, boolean isDeleted, Integer orderId, String orderNo, Integer orderStatus, Integer paymentStatus, String orderRemark, Integer patientId, Integer orderType, BigDecimal orderAmount) {
        this.transferId = transferId;
        this.userId = userId;
        this.patientRealName = patientRealName;
        this.patientMobile = patientMobile;
        this.fromDoctorId = fromDoctorId;
        this.fromDoctorName = fromDoctorName;
        this.toDoctorId = toDoctorId;
        this.toDoctorName = toDoctorName;
        this.title = title;
        this.amount = amount;
        this.remark = remark;
        this.sessionId = sessionId;
        this.createTime = createTime;
        this.isDeleted = isDeleted;
        this.orderId = orderId;
        this.orderNo = orderNo;
        this.orderStatus = orderStatus;
        this.paymentStatus = paymentStatus;
        this.orderRemark = orderRemark;
        this.patientId = patientId;
        this.orderType = orderType;
        this.orderAmount = orderAmount;
    }

    public Integer getTransferId() {
        return transferId;
    }

    public void setTransferId(Integer transferId) {
        this.transferId = transferId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }


    public String getPatientRealName() {
        return patientRealName;
    }

    public void setPatientRealName(String patientRealName) {
        this.patientRealName = patientRealName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public String getFromDoctorName() {
        return fromDoctorName;
    }

    public void setFromDoctorName(String fromDoctorName) {
        this.fromDoctorName = fromDoctorName;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public String getToDoctorName() {
        return toDoctorName;
    }

    public void setToDoctorName(String toDoctorName) {
        this.toDoctorName = toDoctorName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getTransferStatus() {
        return transferStatus;
    }

    public void setTransferStatus(Integer transferStatus) {
        this.transferStatus = transferStatus;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Date getTransferDate() {
        return transferDate;
    }

    public void setTransferDate(Date transferDate) {
        this.transferDate = transferDate;
    }

    public Integer getTransferPeriod() {
        return transferPeriod;
    }

    public void setTransferPeriod(Integer transferPeriod) {
        this.transferPeriod = transferPeriod;
    }
}
